🚧 [Experimental] Get wizard chart

Returns the specified wizard chart.

Request

POST

http://<хост_on-premises>/rpc/getWizardChart

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "chartId": "example",
  "workbookId": "example",
  "revId": "example",
  "includePermissions": true,
  "includeLinks": true,
  "includeFavorite": true,
  "branch": "saved"
}

Name

Description

chartId

Type: string

Example: example

branch

Type: EntryBranch

Entry branch: saved or published.

Enum: saved, published

includeFavorite

Type: boolean

Include favorite status in the response.

includeLinks

Type: boolean

Include information on configured links in the response.

includePermissions

Type: boolean

Include information on configured permissions in the response.

revId

Type: string

Example: example

workbookId

Type: string | null

Example: example

EntryBranch

Entry branch: saved or published.

Type: string

Enum: saved, published

Responses

200 OK

Response

Body

application/json

null

Type: unknown